diff --git a/firmware/controllers/algo/engine_configuration.cpp b/firmware/controllers/algo/engine_configuration.cpp
index 200062d5e51..aa983a7b7c0 100644
--- a/firmware/controllers/algo/engine_configuration.cpp
+++ b/firmware/controllers/algo/engine_configuration.cpp
@@ -153,7 +153,7 @@ engine_configuration_s & activeConfiguration = activeConfigurationLocalStorage;
 extern engine_configuration_s *engineConfiguration;
 
 void rememberCurrentConfiguration(DECLARE_ENGINE_PARAMETER_SIGNATURE) {
-#ifndef EFI_ACTIVE_CONFIGURATION_IN_FLASH
+#if ! EFI_ACTIVE_CONFIGURATION_IN_FLASH
 	memcpy(&activeConfiguration, engineConfiguration, sizeof(engine_configuration_s));
 #else
 	isActiveConfigurationVoid = false;
diff --git a/firmware/controllers/core/common_headers.h b/firmware/controllers/core/common_headers.h
index 8b8fe65bb61..6a75de8ebc8 100644
--- a/firmware/controllers/core/common_headers.h
+++ b/firmware/controllers/core/common_headers.h
@@ -74,7 +74,7 @@
 #define DISPLAY_SENSOR(x) {}
 #define DISPLAY_IF(x) x
 
-#ifndef EFI_ACTIVE_CONFIGURATION_IN_FLASH
+#if ! EFI_ACTIVE_CONFIGURATION_IN_FLASH
 // We store a special changeable copy of configuration is RAM, so we can just compare them
 #define isConfigurationChanged(x) (engineConfiguration->x != activeConfiguration.x)
 #else
diff --git a/firmware/controllers/simple_tcu.cpp b/firmware/controllers/simple_tcu.cpp
index 26facb017d0..f241fafeaf3 100644
--- a/firmware/controllers/simple_tcu.cpp
+++ b/firmware/controllers/simple_tcu.cpp
@@ -14,7 +14,7 @@ void SimpleTransmissionController::init() {
 
 void SimpleTransmissionController::update(gear_e gear) {
     for (size_t i = 0; i < efi::size(CONFIG(tcu_solenoid)); i++) {
-#ifndef EFI_UNIT_TEST
+#if ! EFI_UNIT_TEST
         tcuSolenoids[i].setValue(config->tcuSolenoidTable[i][static_cast<int>(gear) + 1]);
 #endif
     }
diff --git a/firmware/hw_layer/debounce.cpp b/firmware/hw_layer/debounce.cpp
index af9307aa3ec..dd943e6720b 100644
--- a/firmware/hw_layer/debounce.cpp
+++ b/firmware/hw_layer/debounce.cpp
@@ -54,12 +54,12 @@ void ButtonDebounce::startConfigurationList () {
 
 void ButtonDebounce::stopConfiguration () {
     // If the configuration has changed
-#ifndef EFI_ACTIVE_CONFIGURATION_IN_FLASH
+#if ! EFI_ACTIVE_CONFIGURATION_IN_FLASH
     if (*m_pin != active_pin || *m_mode != active_mode) {
 #else
     if (*m_pin != active_pin || *m_mode != active_mode || (isActiveConfigurationVoid && (*m_pin != 0 || *m_mode != 0))) {
 #endif /* EFI_ACTIVE_CONFIGURATION_IN_FLASH */
-#ifndef EFI_UNIT_TEST
+#if ! EFI_UNIT_TEST
     	efiSetPadUnused(active_pin);
         needsInit = true;
 #endif /* EFI_UNIT_TEST */
@@ -67,7 +67,7 @@ void ButtonDebounce::stopConfiguration () {
 }
 
 void ButtonDebounce::startConfiguration () {
-#ifndef EFI_UNIT_TEST
+#if ! EFI_UNIT_TEST
     if (needsInit) {
         efiSetPadMode("Button", *m_pin, getInputMode(*m_mode));
         needsInit = false;
diff --git a/firmware/rusefi.cpp b/firmware/rusefi.cpp
index 13451d89a96..62b38017282 100644
--- a/firmware/rusefi.cpp
+++ b/firmware/rusefi.cpp
@@ -197,7 +197,7 @@ void runRusEfi(void) {
 #endif // HW_CHECK_MODE
 
 
-#ifndef EFI_ACTIVE_CONFIGURATION_IN_FLASH
+#if ! EFI_ACTIVE_CONFIGURATION_IN_FLASH
 	// TODO: need to fix this place!!! should be a version of PASS_ENGINE_PARAMETER_SIGNATURE somehow
 	prepareVoidConfiguration(&activeConfiguration);
 #endif /* EFI_ACTIVE_CONFIGURATION_IN_FLASH */
